<template>
  <NavHeader></NavHeader>
  <PageTitle>Messages</PageTitle>
  <MessagesBox :messages="messages" :playerId="playerId" :id="id"></MessagesBox>
</template>

<script>
import NavHeader from "./organisms/NavHeader.vue";
import axios from "axios";
import store from "../store/auth";
import MessagesBox from "./organisms/MessagesBox.vue";
import PageTitle from "./atoms/PageTitle.vue";

export default {
  components: { NavHeader, MessagesBox, PageTitle },
  data() {
    return {
      messages: {},
    };
  },
  props: {
    id: {
      validator(value) {
        return /([0-9])/.test(value);
      },
    },
    playerId: {
      Type: Number,
    },
  },
  async created() {
    store.commit("general/setLoading", true);
    document.title = "Messages";
    if (store.getters["auth/getUser"].role === "player") {
      this.messages = (
        await axios.get(`/api/games/${this.id}/messages`, {
          playerId: this.playerId,
        })
      ).data.data;
    } else {
      this.messages = (
        await axios.get(
          `/api/games/${this.id}/players/${this.playerId}/messages`
        )
      ).data.data;
    }
    store.commit("general/setLoading", false);
  },
};
</script>

<style lang="scss"></style>
